Retrieves the price list for the given priceListId
This operation will return the full list of saved price lists
GET
/
v1
/
pricelist
/
{id}
Retrieves the price list for the given priceListId
curl --request GET \
--url 'https://integration-api-cat2.{{environment}}.ext.{{realm}}.cia.enfuce.com/v1/pricelist/{id}' \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://integration-api-cat2.{{environment}}.ext.{{realm}}.cia.enfuce.com/v1/pricelist/{id}"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://integration-api-cat2.{{environment}}.ext.{{realm}}.cia.enfuce.com/v1/pricelist/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": "<string>",
"id": "<string>"
}{
"code": "<string>",
"message": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"errorCode": "<string>",
"errorReason": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"message": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"errorCode": "<string>",
"errorReason": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"message": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"errorCode": "<string>",
"errorReason": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"message": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"errorCode": "<string>",
"errorReason": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Path Parameters
The id of the price list you want to get
Query Parameters
The audit user to log the request
Was this page helpful?
Previous
Retrieves given price list and it's periodsThis operation will return all the periods for the given price list id
Next
⌘I
Retrieves the price list for the given priceListId

